## hubzero-submit-server 0.8.1

=== Makefile ===
# Copyright 2006-2009 by Purdue Research Foundation, West Lafayette, IN 47906.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License, version 2.1 as published by the Free Software Foundation.

INSTDIR=$(DESTDIR)/opt
OWNER=apps
GROUP=apps
VARLOG=$(DESTDIR)/var/log
ETCDIR=$(DESTDIR)/etc

clean:
	rm -f build-stamp configure-stamp *.pyc

install:
	install --owner root --group root --mode 0775 -d $(INSTDIR)/opt
	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(INSTDIR)/submit
	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(VARLOG)/submit
	install server.py $(INSTDIR)/submit/server.py --owner $(OWNER) --group $(GROUP) --mode 0755
	install config $(INSTDIR)/submit/config --owner $(OWNER) --group $(GROUP) --mode 0755
	install --owner root --group root --mode 0700 -D submit $(ETCDIR)/init.d/submit
