## hubzero-submit-server 2.0.3

=== Makefile ===
# @package      hubzero-submit-server
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRSBINDIR=$(DESTDIR)/usr/sbin
VARLOGDIR=$(DESTDIR)/var/log
ETCDIR=$(DESTDIR)/etc

default all build:
	true

install:
	install --mode 0700 -D submit-server.init $(ETCDIR)/init.d/submit-server
	install --mode 0775 -d $(VARLOGDIR)/submit

	install submit-server.py -D $(USRSBINDIR)/submit-server.py --mode 0740
	install submit-server.conf.in -D $(ETCDIR)/submit/submit-server.conf --mode 0600

configure:
	true

clean:
	rm -f build-stamp configure-stamp *.pyc
