## hubzero-submit-server 2.5.5

=== Makefile ===
--- 
+++ 
@@ -35,12 +35,17 @@
 install:
 	install --mode 0700 -D submit-server.init $(ETCDIR)/init.d/submit-server
 	install --mode 0775 -d $(VARLOGDIR)/submit
-
 	install submit-server.py -D $(USRSBINDIR)/submit-server.py --mode 0740
 	install submit-server.conf.in -D $(ETCDIR)/submit/submit-server.conf --mode 0600
+	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
 
 configure:
 	true
 
 clean:
-	rm -f build-stamp configure-stamp *.pyc
+	find . -name '*.pyc' -delete
+	rm -f build-stamp
+	rm -f configure-stamp
+	python setup.py clean
+	rm -fr build
+
