## hubzero-submit-server 2.5.7

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-submit-server
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -25,22 +25,25 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-USRSBINDIR=$(DESTDIR)/usr/sbin
-VARLOGDIR=$(DESTDIR)/var/log
-ETCDIR=$(DESTDIR)/etc
+USRSBIN=$(DESTDIR)/usr/sbin
+VARLOG=$(DESTDIR)/var/log
+ETC=$(DESTDIR)/etc
 
-default all build:
-	true
+all:
+	@true
 
 install:
-	install --mode 0700 -D submit-server.init $(ETCDIR)/init.d/submit-server
-	install --mode 0775 -d $(VARLOGDIR)/submit
-	install submit-server.py -D $(USRSBINDIR)/submit-server.py --mode 0740
-	install submit-server.conf.in -D $(ETCDIR)/submit/submit-server.conf --mode 0600
+	install --mode 0700 -D submit-server.init $(ETC)/init.d/submit-server
+	install --mode 0775 -d $(VARLOG)/submit
+	install submit-server.py -D $(USRSBIN)/submit-server.py --mode 0740
+	install submit-server.conf.in -D $(ETC)/submit/submit-server.conf --mode 0600
 	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
 
-configure:
-	true
+uninstall:
+	@true
+
+postinst:
+	@true
 
 clean:
 	find . -name '*.pyc' -delete
@@ -49,3 +52,4 @@
 	python setup.py clean
 	rm -fr build
 
+.PHONY: all install uninstall postinst clean
