## hubzero-submit-server 2.7.1.2

=== Makefile ===
--- 
+++ 
@@ -26,8 +26,15 @@
 #
 
 USRSBIN=$(DESTDIR)/usr/sbin
+ETC=$(DESTDIR)/etc
 VARLOG=$(DESTDIR)/var/log
-ETC=$(DESTDIR)/etc
+
+DISTRIBUTION := $(shell lsb_release -is)
+MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
+
+ifeq ($(DISTRIBUTION),Debian)
+il=--install-layout=deb
+endif
 
 all:
 	@true
@@ -37,7 +44,7 @@
 	install --mode 0775 -d $(VARLOG)/submit
 	install submit-server.py -D $(USRSBIN)/submit-server.py --mode 0740
 	install submit-server.conf.in -D $(ETC)/submit/submit-server.conf --mode 0600
-	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
+	python setup.py install $(COMPILE) --root $(DESTDIR) $(il)
 
 uninstall:
 	@true
