## hubzero-submit-server 3.1.2-1+deb6

=== debian/changelog ===
hubzero-submit-server (3.1.2-1+deb6) unstable; urgency=low

  * Initialize daemon host to the submit server host.
  * New database operation added to copy any jobs that have no heartbeat and
    whose session has been terminated from job to joblog. This will clean so
    called orphan jobs out of the job table.    
  * Be more careful when checking client connection when it is known to have
    been detached.
  * Restore superjob

 -- Steven Clark <clarks@purdue.edu>  Tue, 13 Jun 2017 15:20:49 -0400

hubzero-submit-server (3.0.10-3) unstable; urgency=low

  * Make hubzero-submit-monitors a dependency since init.d
    script has it a starting pre-requisite

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 20 Oct 2016 10:55:08 -0400

hubzero-submit-server (3.0.10-1) unstable; urgency=low

  * Do not inject jobid into distributor argument list when it
    is not needed.  It is not need for --help and --version.
  * Added list of cache bot users.
  * Added base64 encoding for files exchanged between non-shared file systems.
  * Added --cacheId option for recording jobs that pull results from cache.
  * Use more os information in Pegasus workflow dax builds.
    Include arch, osFlavor, osVersion, osRelease

 -- Steven Clark <clarks@purdue.edu>  Mon, 11 Jul 2016 11:26:20 -0400

hubzero-submit-server (3.0.8-1) unstable; urgency=low

  * Another set of traps for os.getwd() failures
  * Trap closed connector and report transfer size as 0.
  * Added custom SSL cipher keys through configuration file.
  * Changed MySQL time difference calculation to avoid overflow.
  * Added cleanup session function to be used by administrator.
  * Correct retrieval of created session ID

 -- Steven Clark <clarks@purdue.edu>  Wed, 09 Mar 2016 14:37:31 -0500

hubzero-submit-server (3.0.1-1) unstable; urgency=low

  * Replaced string based data exchange API with JSON based exchange
  * Auto detect client - server disconnect
  * Added concept of submitter class.  This will allow PRO users to have
    higher priority when allocating job slots.
  * Removed 'venue' from session and sessionlog records to reflect
    change in database schema.
  * Added ability to specify cipher for LDAP connection.  Required on
    Debian 7 (wheezy) hosts.  Not needed for RedHat hosts.

 -- Steven Clark <clarks@purdue.edu>  Mon, 07 Sep 2015 19:08:43 -0400

hubzero-submit-server (2.7.2-1) unstable; urgency=low

  * fix build depends for debian 8

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 05 Sep 2015 19:17:04 -0400

hubzero-submit-server (2.7.1.2-1) unstable; urgency=low

  * use synchronous simple_bind_s() call

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 26 Feb 2015 14:11:21 -0500

hubzero-submit-server (2.7.1-1) unstable; urgency=low

  * release 2.7.1, normalizing packaging, updating copyrights
  * Cleanup inactive records
  * Added nCores to user metrics report
  * Use python logging module removing need for global write permissions
  * Standard daemonize method.
  * Optionally split middleware and user information databases.
  * Pass doubleDash from client configuration to distributor and friends.
  * Cleanup local execution termination by including job token
    for authentication.
  * Fixed reporting of number of cpus used by a job.
  * working directory must be set earlier for parametric arguments
  * Allow spaces in working directory path.
  * Pegasus is not required for sweeps.
  * Disconnect client/server when socket connection is broken.
  * Recursive tar not needed when generating entire explicit list,
    avoid duplicate copies in tar file.
  * Detect shared sshfs mounted file systems.

 -- Steven Clark <clarks@purdue.edu>  Tue, 23 Sep 2014 21:59:06 -0400

hubzero-submit-server (2.5.7-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Sep 2014 13:15:58 -0400

hubzero-submit-server (2.5.6-1) unstable; urgency=low

  * Fix python version dependencies for Debian 7 package compatibility 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 25 Aug 2014 13:13:44 -0400

hubzero-submit-server (2.5.5-1) unstable; urgency=low

  * Fixed false connection close when receive empty message

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 31 Aug 2013 17:54:05 -0400

hubzero-submit-server (2.5.1-1) unstable; urgency=low

  * Update copyright statements 
  * Update package source Makefiles and python installation scripts
  * Replaced by common module BoundConnection
  * Added submit --kill id command
  * Added submit --status [id] command
  * Added support for use of unix sockets to communicate
    between execution and proxy servers.
  * Added support for future ability to detach from incomplete jobs,
    creating the ability to do asynchronous submission
  * Added support for future ability to (re)attach to incomplete jobs
  * Added the ability to name a simulation run with submit --runName
  * Unified log messages.
  * Cleanup the daemonization process to do a better job with
    regard to open file descriptors.
  * Added concept of operation mode for deducing function from
    command line arguments.  The same command parser is shared
    between all the primary submit programs.
  * More extensive command line argument checking and reporting.
  * Added option for use of ssl with MySQL database connection.
  * Added hostname name validation for submit
    client-server ssl certificates.
  * Do not count submit created sessions against user limit.
  * Filter more envionment variable on client-server connection.
  * Added support for future ability to detach from incomplete jobs,
    creating the ability to do asynchronous submission
  * Added support for future ability to (re)attach to incomplete jobs
  * Added support for use of unix sockets to communicate between
    execution and proxy servers.
  * Added session and PID information to monitorJob datastore
  * Added --version option to server, client, distributor.

