## hubzero-submit-server 3.1.3-1+deb6

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 ETC=$(DESTDIR)/etc
 VARLOG=$(DESTDIR)/var/log
 
-DISTRIBUTION := $(shell lsb_release -is)
+DISTRIBUTION := $(shell lsb_release -i -s)
 MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
 
 ifeq ($(DISTRIBUTION),Debian)
@@ -49,7 +49,9 @@
 	python setup.py install $(COMPILE) --root $(DESTDIR) $(il)
 
 uninstall:
-	@true
+	rm -fr $(ETC)/init.d/submit-server
+	rm -fr $(USRSBIN)/submit-server.py
+	rm -fr $(ETC)/submit/submit-server.conf
 
 postinst:
 	@true
