=== debian/changelog ===
hubzero-submit-server (3.1.3-1+deb6) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 10:10:31 -0400

hubzero-submit-server (3.1.2-1) unstable; urgency=low

  * Initialize daemon host to the submit server host.
  * New database operation added to copy any jobs that have no heartbeat and
    whose session has been terminated from job to joblog. This will clean so
    called orphan jobs out of the job table.    
  * Be more careful when checking client connection when it is known to have
    been detached.
  * Restore superjob

 -- Steven Clark <clarks@purdue.edu>  Tue, 13 Jun 2017 15:20:49 -0400
