=== debian/control ===
Source: hubzero-submit-server
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8) , python-all  
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-submit-server
Architecture: all
Depends: hubzero-submit-common, python-scgi, python (>=2.6), hubzero-submit-monitors, hubzero-submit-distributor, ${misc:Depends}
Description: HUBzero submit server
 HUBzero job submission server
