## hubzero-submit-server 3.1.3-1+deb8

=== debian/changelog ===
hubzero-submit-server (3.1.3-1+deb8) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 10:10:31 -0400
