## hubzero-submit-server 3.2.9-1+deb7

=== debian/changelog ===
hubzero-submit-server (3.2.9-1+deb7) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 15:26:13 -0400

hubzero-submit-server (3.2.8-1) unstable; urgency=low

     - Improve reporting of what is executed in joblog:event.
     - Filter redundant jobs when determining exit status.
     - Doing encoding to treat non ascii characters in
       transferred data.
     - Modify working directory location if session directory
       exists as a broken link on the submit server.  This is
       known to happen when local disks are used to support
       simulation sessions running on a execution host.  The
       middleware is responsible for maintaining consistent
       data on the local drive the coresponding shared drive
       on the submit host.
     - Added exception handling around double fork daemonization

 -- Steven Clark <clarks@purdue.edu>  Thu, 12 Apr 2018 14:31:46 -0400
