=== debian/changelog ===
hubzero-submit-server (3.2.9-1+deb8) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 15:26:13 -0400
