=== debian/changelog ===
hubzero-submit-server (3.4.3-3+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 16:34:29 -0700

hubzero-submit-server (3.4.3-1) unstable; urgency=low

     - update copyright/trademark ownership
     - update email address references
     - remove per file @author references
     - update copyright years
     - Generalized treatment of special trusted and sudo users. (ionhelper)
     - Added optional squid field in job/joblog tables.
     - Update to version 3.4.3

 -- Steven Clark <smclark@ucsd.edu>  Fri, 01 May 2020 12:29:17 -0700

hubzero-submit-server (3.4.2-1) unstable; urgency=low

     - Update to version 3.4.2 (final)
     - Allow jobs with --disableJobMonitoring to run arbitrarily long.
     - Update to version 3.4.2
     - Disable heartbeat requirement for jobs run with --disableJobMonitoring.
     - Update to version 3.4.1
     - Improved loading of configuration files with better
       handling of error conditions.
     - Added --disableJobMonitoring.  This is available only
       for BOINC submission.  Rather than monitor job progress
       in the distributor process on the submit server updates
       are posted through the shared file system.  The objective
       is to greatly reduce the memory footprint of the monitoring
       process thus allowing many more simultaneous submissions.
     - Added more exception handling for database queries.
     - Parameterize SQL statements following SQL convention for substitution
       instead of using Python strings.
     - Use try/catch to trap database errors.
     - Added explicit database commit statements.
     - Modified quota checking when job is being run by ionhelper.  Quota of
       actual user is now checked.
     - Cleanup raw and zipped tar file when build operations fail.  Happens
       when /tmp is not large enough.
     - Fixed database connection in the absence of SSL parameters.
     - Record submit version in log file.
     - Added auto recovery for dropped client - server connection.
       (one time only)
     - Added --requestCache option for submit to directly query cache
       for result.
     - Redid commands related to recording cache jobs.  Both cache hits
       and cache misses can now be recorded.
     - Added option to run jobs as sudo user (ionhelper)
     - Kill run after maximum detached time.  Cleanup of abondoned submit
       processes.
     - Cleanup of Python2/3 data transfer over client-server connection.  Avoid
       large idle times that occurred in large many buffer data transfers.
     - Record origin of Rappture driver file (human,specbot,etc.).
     - Data on non-shared file systems is now compressed for transfer between
       client and server (both directions).
     - Release version 3.3.1.

 -- Steven Clark <clarks@purdue.edu>  Fri, 05 Jul 2019 15:53:46 -0400
