## hubzero-submit-server 3.6.3-1+deb7

=== debian/changelog ===
hubzero-submit-server (3.6.3-1+deb7) unstable; urgency=low

    Clear broken pipe buffer to enable closing connection

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 15:59:12 -0700

hubzero-submit-server (3.6.2-1) unstable; urgency=low

    - Explicitly close dropped stdin connection to distributor process.  Done to avoid excessive repeated disk eating log file message.
    - Change check for authorization timeout function. The id() function behaves differently with Python2/3.
    - Add treatment of sim2L's squid for submit jobs.  Each sim2L job will now include cache squid for job inputs.
    - Replace Python2 cmp() function with builtin id() comparison, replace broken deepcopy of _io.FileIO objects with simple copy

 -- Steven Clark <smclark@ucsd.edu>  Fri, 04 Nov 2022 00:09:21 -0700

hubzero-submit-server (3.6.0-2) unstable; urgency=low

     - update packaging to python3
     - Update to version 3.6.0
     - Upgrade to Python3
     - Added support for multiple configurable Pegasus versions.
     - mark config files as config

 -- Steven Clark <smclark@ucsd.edu>  Wed, 05 Jan 2022 16:08:49 -0800

hubzero-submit-server (3.5.0-2) unstable; urgency=low

     - mark config files as config

 -- Steven Clark <smclark@ucsd.edu>  Fri, 09 Jul 2021 16:44:21 -0700

hubzero-submit-server (3.5.0-1) unstable; urgency=low

     - Added new authorized action for reporting metrics for jobs
       run through the webservice.
     - Reduced chatter between client server while import/export
       tar files are exchanged.  Chatter was so heavy that it
       negatively impacted performance - an unnecessary slowing of
       response time.
     - Added PPK authentication between client and server to support
       webservice access.  Allows connection without benefit of HUB
       session environment.
     - Added individual clientId/serverId pair for each instantiation,
       used in PPK verification.
     - Update to version 3.5.0

 -- Steven Clark <smclark@ucsd.edu>  Thu, 08 Jul 2021 10:43:45 -0700

hubzero-submit-server (3.4.3-3) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 16:34:29 -0700
