## hubzero-submit-server 3.6.3-1+deb10

=== debian/changelog ===
hubzero-submit-server (3.6.3-1+deb10) unstable; urgency=low

    Clear broken pipe buffer to enable closing connection

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 15:59:12 -0700
