## hubzero-submit-server 3.7.0-1+deb7

=== debian/changelog ===
hubzero-submit-server (3.7.0-1+deb7) unstable; urgency=low

     - Pass command arguments from client in bulk
    
     - Pass environment variables from client in bulk
    
     - Changed mount point detection to recognize shared
       mount.projfs file systems. This includes /data/projects.
       This avoids extra file transfer of potentially large files.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 18 May 2023 11:01:22 -0700

hubzero-submit-server (3.6.3-1) unstable; urgency=low

    Clear broken pipe buffer to enable closing connection

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 15:59:12 -0700
