## hubzero-submit-server 3.7.0-1+deb10

=== debian/changelog ===
hubzero-submit-server (3.7.0-1+deb10) unstable; urgency=low

     - Pass command arguments from client in bulk
    
     - Pass environment variables from client in bulk
    
     - Changed mount point detection to recognize shared
       mount.projfs file systems. This includes /data/projects.
       This avoids extra file transfer of potentially large files.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 18 May 2023 11:01:22 -0700
