## hubzero-submit-server 3.7.1-1+deb10

=== debian/changelog ===
hubzero-submit-server (3.7.1-1+deb10) unstable; urgency=low

     - Update to 3.7.1

 -- Steven Clark <smclark@ucsd.edu>  Tue, 30 May 2023 07:53:49 -0700
