## hubzero-submit-server 3.7.2-1+deb7

=== debian/changelog ===
hubzero-submit-server (3.7.2-1+deb7) unstable; urgency=low

     - Update to 3.7.2

 -- Steven Clark <smclark@ucsd.edu>  Wed, 20 Dec 2023 06:55:58 -0800

hubzero-submit-server (3.7.1-1) unstable; urgency=low

     - Update to 3.7.1

 -- Steven Clark <smclark@ucsd.edu>  Tue, 30 May 2023 07:53:49 -0700
