## hubzero-submit-server 3.7.2-1+deb10

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	install --mode 0775 -d $(VARLOG)/submit
 	install submit-server.py -D $(USRSBIN)/submit-server.py --mode 0740
 	install submit-server.conf.in -D $(ETC)/submit/submit-server.conf --mode 0600
-	python setup.py install $(COMPILE) --root $(DESTDIR) $(il)
+	python3 setup.py install $(COMPILE) --root $(DESTDIR) $(il)
 
 uninstall:
 	rm -fr $(ETC)/init.d/submit-server
