=== debian/changelog ===
hubzero-submit-server (3.7.2-1+deb10) unstable; urgency=low

     - Update to 3.7.2

 -- Steven Clark <smclark@ucsd.edu>  Wed, 20 Dec 2023 06:55:58 -0800
