## hubzero-submit-server 3.8.1-1+deb7

=== debian/changelog ===
hubzero-submit-server (3.8.1-1+deb7) unstable; urgency=low

     - Fix Pegasus version setting for venue status command.
     - Terminate detached job by removing unix socket from /tmp
       Intended use is for cleanup of abandoned jobs
     - Disable Pegasus by setting pegasusVersion = 0.0.0 in submit-client.conf
       The setting is still preempted by the use command setting.
     - Fix reporting of exit status for redundant jobs
     - Report job exit status as the exit status for distributor
       and record result in joblog
     - Cleanup job related scripts upon job termination
     - Treat aborted jobs as complete during job monitoring
     - Update read config files across the board to read dictionary
       values in JSON format
     - Preemptive change to strings containing deprecated backslash characters.
       In Python 3.12 the DeprecationWarning is upgraded to a SyntaxWarning.

 -- Steven Clark <smclark@ucsd.edu>  Tue, 26 Jun 2025 07:43:02 -0700

hubzero-submit-server (3.7.4-1) unstable; urgency=low

     - Completed fix for slow Anvil response. select.select timeout no longer
       generates an exception, instead check for empty return arrays.

 -- Steven Clark <smclark@ucsd.edu>  Tue, 14 Jan 2025 10:00:45 -0700

hubzero-submit-server (3.7.3-1) unstable; urgency=low

     - Update to version 3.7.3
     - fix creation of /var/run/submit to be tmpfs compatible
     - Write pid to /var/run/submit/xxx.pid
     - Fix long idle time for local submission when submitting from Anvil
     - Finally making switch from init.d to systemd

 -- Steven Clark <smclark@ucsd.edu>  Fri, 14 Jun 2024 14:48:02 -0700

hubzero-submit-server (3.7.2-1) unstable; urgency=low

     - Update to 3.7.2

 -- Steven Clark <smclark@ucsd.edu>  Wed, 20 Dec 2023 06:55:58 -0800
