## hubzero-submit-server 3.8.2-1+deb7

=== debian/changelog ===
hubzero-submit-server (3.8.2-1+deb7) unstable; urgency=low

     - 3.8.2 packaging

 -- Steven Clark <clarksm@purdue.edu>  Thu, 30 Oct 2025 13:50:33 -0400

hubzero-submit-server (3.8.1-1) unstable; urgency=low

     - Fix Pegasus version setting for venue status command.
     - Terminate detached job by removing unix socket from /tmp
       Intended use is for cleanup of abandoned jobs
     - Disable Pegasus by setting pegasusVersion = 0.0.0 in submit-client.conf
       The setting is still preempted by the use command setting.
     - Fix reporting of exit status for redundant jobs
     - Report job exit status as the exit status for distributor
       and record result in joblog
     - Cleanup job related scripts upon job termination
     - Treat aborted jobs as complete during job monitoring
     - Update read config files across the board to read dictionary
       values in JSON format
     - Preemptive change to strings containing deprecated backslash characters.
       In Python 3.12 the DeprecationWarning is upgraded to a SyntaxWarning.

 -- Steven Clark <clarksm@purdue.edu>  Tue, 26 Jun 2025 07:43:02 -0700
