=== debian/rules ===
--- 
+++ 
@@ -85,7 +85,8 @@
 	dh_installlogrotate -i
 	dh_installinit -i --name=submit-server
 	dh_installman -i
-	dh_python2 -i
+	if [ $(DEB_MAJOR) -gt 11 ]; then dh_python3 -i; fi
+	if [ $(DEB_MAJOR) -lt 12 ]; then dh_python2 -i; fi
 	dh_link -i
 	dh_strip -i
 	dh_lintian -i
