## hubzero-submit-server 3.9.1-1+deb7

=== debian/changelog ===
hubzero-submit-server (3.9.1-1+deb7) unstable; urgency=low

     - Increased verbosity for missing Peagsus files error message.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 14:02:55 -0400

hubzero-submit-server (3.8.2-1) unstable; urgency=low

     - 3.8.2 packaging

 -- Steven Clark <clarksm@purdue.edu>  Thu, 30 Oct 2025 13:50:33 -0400
